Subject: REVIEW: Power Computing XL 1.76 high-density floppy drive
From: [email-masked] (Paul Toyne)
Date: 20 Feb 1994 23:24:47 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME

    Power Computing XL 1.76 Drive:  high-density floppy drive

BRIEF DESCRIPTION

	A high-density disk floppy disk drive.  The internal version
may replace the internal drive on an Amiga 500, 600, or 1200.  The external
version connects to the external floppy port.

	The disk drive comes with a patch program that must be run in order
for the drive to be able to write high density disks.

AUTHOR/COMPANY INFORMATION

	Name:		Power Computing
	Address:	Unit 8 Railton Road
			Woburn Road Ind. Estate
			Kempston
			Bedford
			MK42 7PN
			UK

	Telephone:	+44 (0)234 843388 (Voice)
			+44 (0)234 840234 (Fax)
			+44 (0)234 841503 (BBS - Up to 16.8k)

LIST PRICE

	XL Internal:  75 UK pounds + P&P
	XL External:  85 UK pounds + P&P.

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	HARDWARE

		Any Amiga computer (external version).
		Amiga 500, 600, or 1200 (internal version).

		About 15K RAM is needed for the patch program.

	SOFTWARE

		AmigaDOS Release 2 or higher.

COPY PROTECTION

	None.

MACHINE USED FOR TESTING

	Amiga 1200, 4MB Fast RAM, 2MB Chip RAM.
	(Power PC1204 memory card with 68881 @20MHz)
	80Mb Seagate internal 2.5" IDE hard drive.
	AmigaDOS 3.0

	Amiga 4000/030, 2MB Fast RAM, 2MB Chip RAM.
	120Mb Seagate internal 3.5" IDE hard drive.
	AmigaDOS 3.0

	Amiga 4000/040, 4MB Fast RAM, 2MB Chip RAM.
	120Mb Seagate internal 3.5" IDE hard drive.
	AmigaDOS 3.0

	The external version of the drive was used for this review.

INSTALLATION

	Installation (XL External) is very easy.  First, turn off your
computer.  Then plug the XL drive into the external disk drive port.  Then
turn on the computer and boot from the supplied disk, and follow the
instructions in the easy-to-use patch-installer program to install the
patches onto your boot disk.

REVIEW
 
	The XL drive is the size of a normal (PC880B) external drive and
doesn't have any vents, etc., for you to spill drinks through.  It features
a disable switch and a through port.  If the patch isn't run, the drive can
read/write 880K Amiga disks, 720K PC disks (with appropriate driver
software), but can only read Amiga 1.76MB disks.  Once the patch is run, the
drive can also write Amiga 1.76MB disks, and can read/write PC 1.44MB disks
(using appropriate driver software).

	In use, it is faster than the internal drive in the A4000.

DOCUMENTATION

	The documentation is a very small booklet which is adequate for most
people's needs, but it doesn't tell experienced users how to install the
patch onto their own disks.

LIKES AND DISLIKES

	It is very nice to be able to read/write high density disks, but I
can imagine that having to install a patch onto every boot disk would become
very tedious.

COMPARISON TO OTHER SIMILAR PRODUCTS

	The only other external high density floppy drive is the KCS dual,
and as I haven't seen one I can't really make a comparison. :-)

BUGS

	There appears to be a problem with the first high density PC disk
that you insert into the drive.  The computer thinks that the disk has got
something wrong with its 'File Allocation Table'.  This is easily rectified
by removing the disk and reinserting it.

VENDOR SUPPORT

	Power Computing supply a good technical help line, and technical
support BBS for users of its products.

WARRANTY

	The XL drive comes with a 1 year Return To Base warranty, although
the exact terms of warranty are not specified in the documentation.

CONCLUSIONS

	If you can't fit your files onto an 880K disk, or you need to read
PC high density disks, then the conclusion is simple:  BUY THIS DRIVE.  If
you don't need either of the above, then think about it, but I recommend it.

COPYRIGHT NOTICE

	Copyright February 1994 by Paul Toyne.  All rights reserved.

	This review is freely distributable, but all additions and
	corrections should be made through the author.

---------------------------------------------------------------------
Paul Toyne                                            [email-masked]

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]
   Anonymous ftp site:  math.uh.edu, in /pub/Amiga/comp.sys.amiga.reviews